module wem_struct_mod
  use  base_struct_mod
  implicit none

  type wem_ftag 
    character(len=256) :: csou_             !!.. source wavefield
    character(len=256) :: crec_             !!.. receiver wavefield
    character(len=256) :: hsou_             !!.. source location header
    character(len=256) :: vmod_             !!.. background velocity
    character(len=256) :: imag_             !!.. background image
  end type

end module
